Bug 1015793 - JVM crashes while remote debugging with eclipse
JVM crashes while remote debugging with eclipse
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: jiri vanek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-05 10:42 EDT by Thomas Meyer
Modified: 2013-12-31 06:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-31 06:08:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
java's crash handler error log (82.14 KB, text/x-log)
2013-10-05 10:42 EDT, Thomas Meyer
no flags Details

  None (edit)
Description Thomas Meyer 2013-10-05 10:42:45 EDT
Created attachment 808161 [details]
java's crash handler error log

Description of problem:
I wanted to debug a icedtea-web problem and started the program with the option "ICEDTEAPLUGIN_DEBUG=suspend firefox". Then I did attach with eclipse's debugging facility to the target JVM and after some debugging the icedtea-web JVM crashes.
see attached hs_err.log file for more details.

Version-Release number of selected component (if applicable):
1.7.0.60-2.4.2.5.fc19.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Deepak Bhole 2013-10-11 15:45:45 EDT
Assigning to Jiri.

Is this reproducible by the way? The trace makes it sound like port 8787 could not be recerved and that's why the JVM crashed. If the port is indeed in use, the crash is expected.
Comment 2 Thomas Meyer 2013-12-31 06:08:54 EST
That ("The trace makes it sound like port 8787 could not be recerved and that's why the JVM crashed.") was exactly the case! Sorry for the noise.

Note You need to log in before you can comment on or make changes to this bug.